﻿using System;
using System.Linq;
using Telerik.Windows;
using System.Collections.Generic;

namespace _383164_UploadExample.Web
{
	/// <summary>
	/// Summary description for UserUploadHandler
	/// </summary>
	public class UserUploadHandler : RadUploadHandler
	{
        List<string> fileDescriptions = new List<string>();
        public override bool SaveChunkData(string filePath, long position, byte[] buffer, int contentLength, out int savedBytes)
        {
            if(this.IsFinalFileRequest())
                fileDescriptions.Add(this.GetQueryParameter(this.GetFileName()));
            return base.SaveChunkData(filePath, position, buffer, contentLength, out savedBytes);
        }
	}
}