﻿using System;
using System.Linq;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace _383164_UploadExample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void RadUpload1_UploadStarted(object sender, UploadStartedEventArgs e)
        {
            RadUpload upload = sender as RadUpload;
            foreach (RadUploadSelectedFile file in e.SelectedFiles)
            {
                if ((sender as RadUpload).CurrentSession.FileNameUploadItem.ContainsKey(file.Name))
                {
                    RadUploadItem item = (sender as RadUpload).CurrentSession.FileNameUploadItem[file.Name];
                    if (item != null)
                    {
                        // Retrieve the TextBox that holds the description of the file
                        TextBox DescrTextBox = item.FindChildByType<TextBox>();
                        if (DescrTextBox != null && DescrTextBox.Name == "DescriptionTB")
                        {
                            upload.AdditionalPostFields.Add(file.Name, DescrTextBox.Text);
                        }
                    }
                }
            }
        }
    }
}

